if(isString(args)){
var tmp_arg=getInfoPlist(product_id,"arg");
var tmp_ret=tmp_arg.match(new RegExp("-d ([^ ]+)"));
var def_data_url=tmp_ret[1];
var data_url=tmp_ret[1];
var tmp=args.split(" ");
var ret=[];
for(var i=0;i<tmp.length;i++){
if(tmp[i]=="-d"){
i++;
if(tmp[i]!=def_data_url){
var body=read_file("file://"+tmp[i]);
if(isString(body)&&body.match("ADDITIONAL_DATA_URL"))
data_url=tmp[i];}
continue;}else{
ret.push(tmp[i]);}
}
ret.push("-d",data_url);
args=ret.join(" ");}
